function CCCfore=cccforecast(data,archP,garchQ)
[parameters, Ht, R]=cc_mvgarch(data,archP,garchQ);
[t,k]=size(data);
forecast1=parameters(1)+parameters(2)*data(t,k-1)*data(t,k-1)+parameters(3)*Ht(k-1,k-1,t);
forecast2=parameters(4)+parameters(5)*data(t,k)*data(t,k)+parameters(6)*Ht(k,k,t);
forecastR=parameters(7);
forecast12=sqrt(forecast1*forecast2)*forecastR;
CCCfore=[forecast1 forecast12; forecast12 forecast2];